<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xsk-14 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		<style>
			img { behavior:url('images/pngbehavior.htc'); }
		</style>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg">
	<tr>
		<td height="222">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="222" style="background-image: url('images/mbg_t.gif'); background-repeat: repeat-x;">
				<tr>
					<td style="background-image: url('images/mbg_t.jpg'); background-repeat: no-repeat; padding: 20px;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
								<td height="81">
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>	
								</td>
							</tr>
							<tr><td height="10"></td></tr>
							<tr>
								<td height="81" valign="bottom">
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>
											<td width="30"></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"></td>
										</tr>
									</table>									
								</td>
							</tr>
							<tr><td height="10"></td></tr>
						</table>					
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%" bgcolor="white" background="images/mbg.gif" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/mbg_r.gif'); background-position: bottom; background-repeat: repeat-x;">
				<tr>
					<td style="background-image: url('images/mbg_l.jpg'); background-position: bottom left; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" height="100%">
							<tr>
								<td valign="top" width="289" style="background-image: url('images/header.gif'); background-position: top right; background-repeat: no-repeat; padding: 120px 10px 0px 0px;">
									<table cellpadding="0" cellspacing="0" border="0" align="right">
										<tr>
											<td style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
												<table cellpadding="0" cellspacing="0" border="0" width="164" style="background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
													<tr>
														<td height="157" valign="top" style="padding-top: 30px;">
															<!-- SUBMENU -->
															<table cellpadding="0" cellspacing="0" width="120" align="center">
																<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
															</table>																	
															<!-- /SUBMENU -->
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr><td><img src="images/submenu_bbg.png" width="164" height="67" border="0" alt=""/></td></tr>
									</table>
								</td>
								<td valign="top">
									<table cellpadding="0" cellspacing="0" border="0" width="100%">
										<tr><td height="66" class="text-header" style="background-image: url('images/bg_t.gif'); background-repeat: no-repeat; padding-left: 49px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
										<tr>
											<td style="background-image: url('images/bg.gif'); background-repeat: repeat;">
												<table cellpadding="0" cellspacing="0" border="0" width="491" height="362" style="background-image: url('images/bg_b.jpg'); background-position: bottom left; background-repeat: no-repeat;">
													<tr>
														<td valign="top" style="background-image: url('images/bg_t.jpg'); background-repeat: no-repeat;">
														<!-- CONTENT -->
															<table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
																<tr>
																	<td class="pageContent" style="padding: 0 45px 0 45px;">
																		<xsl:apply-templates select="PAGE-CONTENT"/>
																	</td>
																</tr>
															</table>															
														<!-- /CONTENT -->
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr><td width="491" height="24" style="background-image: url('images/bg_b.gif'); background-repeat: no-repeat;"></td></tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="131" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="131" style="background-image: url('images/mbg_b.gif'); background-repeat: repeat-x;">
				<tr>
					<td valign="top" align="center" style="background-image: url('images/mbg_b.jpg'); background-repeat: no-repeat;">
						<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td width="30"></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"></td>
							</tr>
						</table>		
						<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>		
						<span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>			
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		


																
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 7px" height="28" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding-right: 7px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 7px" height="28"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#C7C7C7"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

